From 0feec4d95c29b2ef42627fd22b8d5d752bdc5d8f Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Wed, 17 Jul 2019 16:17:48 -0700
Subject: [PATCH 2/2] wil6210: Expose TxMode through debugfs bf file

This helps disambigutate the MCS index, thereby allow it to be mapped to
a PHY rate.
---
 drivers/net/wireless/ath/wil6210/debugfs.c | 3 ++-
 drivers/net/wireless/ath/wil6210/wmi.h     | 4 +++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/drivers/net/wireless/ath/wil6210/debugfs.c b/drivers/net/wireless/ath/wil6210/debugfs.c
index a77fab68cbc8..caea0d8d70a6 100644
--- a/drivers/net/wireless/ath/wil6210/debugfs.c
+++ b/drivers/net/wireless/ath/wil6210/debugfs.c
@@ -1258,7 +1258,7 @@ static int bf_show(struct seq_file *s, void *data)
 		status = le32_to_cpu(reply.evt.status);
 		seq_printf(s, "CID %d {\n"
 			   "  TSF = 0x%016llx\n"
-			   "  TxMCS = %2d TxTpt = %4d\n"
+			   "  TxMCS = %2d TxTpt = %4d TxMode = %1d\n"
 			   "  SQI = %4d\n"
 			   "  RSSI = %4d\n"
 			   "  Status = 0x%08x %s\n"
@@ -1269,6 +1269,7 @@ static int bf_show(struct seq_file *s, void *data)
 			   le64_to_cpu(reply.evt.tsf),
 			   le16_to_cpu(reply.evt.bf_mcs),
 			   le32_to_cpu(reply.evt.tx_tpt),
+			   reply.evt.tx_mode,
 			   reply.evt.sqi,
 			   reply.evt.rssi,
 			   status, wil_bfstatus_str(status),
diff --git a/drivers/net/wireless/ath/wil6210/wmi.h b/drivers/net/wireless/ath/wil6210/wmi.h
index c5995a5ed3bc..a200e73c94ef 100644
--- a/drivers/net/wireless/ath/wil6210/wmi.h
+++ b/drivers/net/wireless/ath/wil6210/wmi.h
@@ -2285,7 +2285,9 @@ struct wmi_notify_req_done_event {
 	__le32 status;
 	__le64 tsf;
 	s8 rssi;
-	u8 reserved0[3];
+	/* enum wmi_edmg_tx_mode */
+	u8 tx_mode;
+	u8 reserved0[2];
 	__le32 tx_tpt;
 	__le32 tx_goodput;
 	__le32 rx_goodput;
-- 
2.20.1

